Главная
   Документация
      Asterisk
      CentOS
      Debian
      Docker
      FreeBSD
      openHAB
      PostgreSQL
      Raspberry Pi
      Ubuntu
      WWW




Главная Документация Debian › Debian - установка и настройка PHP 5.2

Debian - установка и настройка PHP 5.2

Автор:

Статья написана 2018-03-12 10:37:03
Последние правки 2018-03-12 10:45:20

В стандартный дистрибутив Debian 6 входит PHP версии 5.3. Но для некоторых CMS необходим PHP версии 5.2 так как на PHP 5.3 они глючат.

  • Удаляем PHP 5.3 если он установлен
    apt-get remove php5*
    
    Проверяем, что всё удалилось:
    ~# dpkg -l |grep php5
    
    Если пакеты присутствуют в списке, но слева от них стоит rc, то все в порядке.


  • Установка PHP 5.2
    Добавляем репозиторий, для чего редактируем файл (если файла нет, то его нужно создать) /etc/apt/sources.list. Ничего не удаляем, только добавляем строчки:
    deb http://archive.debian.org/debian lenny main contrib non-free
    
    Создаем файл lenny в директории /etc/apt/preferences.d
    ~# touch /etc/apt/preferences.d/lenny
    
    Пишем в него следующее:
    Package: *
    Pin: release n=lenny*
    Pin-Priority: 100
    
    Package: libapache2-mod-php5 php5-cli php5-common php5-curl php5-gd php5-mcrypt php5-mysql php5-mhash \
     php5-xsl php5-imap php5-xmlrpc php5-suhosin
    Pin: release n=lenny*
    Pin-Priority: 999
    
    Обновляем список доступных репозиториев:
    ~# apt-get update
    ~# apt-get clean
    
    Устанавливаем один нужный пакет:
    ~# apt-get install libkrb53
    
    Устанавливаем PHP 5.2
    ~# apt-get -V install  libapache2-mod-php5 php5-cli php5-common php5-curl php5-gd php5-mcrypt php5-mysql php5-mhash \
     php5-xsl php5-imap php5-xmlrpc php5-suhosin
    

  • Проверяем
    ~# dpkg -l | grep php
    ii  libapache2-mod-php5                   5.2.6.dfsg.1-1+lenny16       server-side, HTML-embedded scripting language (Apache 2 module)
    rc  php5-cgi                              5.3.3-7+squeeze8             server-side, HTML-embedded scripting language (CGI binary)
    ii  php5-cli                              5.2.6.dfsg.1-1+lenny16       command-line interpreter for the php5 scripting language
    ii  php5-common                           5.2.6.dfsg.1-1+lenny16       Common files for packages built from the php5 source
    ii  php5-curl                             5.2.6.dfsg.1-1+lenny16       CURL module for php5
    ii  php5-gd                               5.2.6.dfsg.1-1+lenny16       GD module for php5
    ii  php5-imap                             5.2.6.dfsg.1-1+lenny16       IMAP module for php5
    ii  php5-mcrypt                           5.2.6.dfsg.1-1+lenny16       MCrypt module for php5
    ii  php5-mhash                            5.2.6.dfsg.1-1+lenny16       MHASH module for php5
    ii  php5-mysql                            5.2.6.dfsg.1-1+lenny16       MySQL module for php5
    ii  php5-suhosin                          0.9.27-1                     advanced protection module for php5
    ii  php5-xmlrpc                           5.2.6.dfsg.1-1+lenny16       XML-RPC module for php5
    ii  php5-xsl                              5.2.6.dfsg.1-1+lenny16       XSL module for php5